# Interface ReturnDecoding

This type represents a decoding of the return data as a collection of return values from a successful call.

#### Category

Output

#### Hierarchy

- ReturnDecoding

- Defined in codec/lib/types.ts:387

#####
Index

### Properties

arguments
decodingMode
interpretations
kind
status

## Properties

### arguments

arguments: AbiArgument[]

The list of decoded return values from the function.

- Defined in codec/lib/types.ts:399

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:404

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:411

### kind

kind: "return"

The kind of decoding; indicates that this is a ReturnDecoding.

- Defined in codec/lib/types.ts:391

### status

status: true

Indicates that this kind of decoding indicates a successful return.

- Defined in codec/lib/types.ts:395

Generated using TypeDoc